<script>

    import {read} from "../crud";

    export let selectedId;

    const apiURL = 'http://localhost:8081/api/v1/cars/';

    async function getCarList() {
        let data = await read(apiURL);
        return data;
    }
</script>

{#await getCarList() then cars}
    <label for="cars">Cars</label>
    <select class="half" bind:value={selectedId} id="cars">
        {#each cars as car}
            <option value="{car.id}">{car.name}</option>
        {/each}
    </select>
{/await}